> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.paradex.trade/api/prod/system/get-volume-tiers/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.paradex.trade/_mcp/server. # Get volume-based fee tiers GET https://api.prod.paradex.trade/v1/system/volume-tiers Returns all volume tier configurations for retail and pro profiles Reference: https://docs.paradex.trade/api/prod/system/get-volume-tiers ## Response ### 200 OK - `results` (list of responses.VolumeTierResp, optional) — Array of results ## Types ### responses.VolumeTierResp - `fee_rates` (map from string to string, optional) - `kind` (string, optional) - `min_volume` (string, optional) - `min_volume_duration` (string, optional) - `nft_min_volume` (string, optional) - `sort_order` (integer, optional) - `tier_name` (string, optional) ## Examples **Response** ```json { "results": [ { "fee_rates": {}, "kind": "retail", "min_volume": "100000", "min_volume_duration": "14d", "nft_min_volume": "0", "sort_order": 1, "tier_name": "VIP 1" } ] } ``` **SDK Code** ```python import requests url = "https://api.prod.paradex.trade/v1/system/volume-tiers" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://api.prod.paradex.trade/v1/system/volume-tiers'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.prod.paradex.trade/v1/system/volume-tiers" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.prod.paradex.trade/v1/system/volume-tiers") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.prod.paradex.trade/v1/system/volume-tiers") .asString(); ``` ```php request('GET', 'https://api.prod.paradex.trade/v1/system/volume-tiers'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.prod.paradex.trade/v1/system/volume-tiers"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://api.prod.paradex.trade/v1/system/volume-tiers")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```